#pragma once
#include "Entity.h"
#define CS_PRISONBARS_CREATENAME L"CS_prisonbars"
//¼àÓüÎ§À¸
class CS_PrisonBars :
    public Entity
{
public:
    CS_PrisonBars();
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
};

std::shared_ptr<Entity> CreateCS_PrisonBars();